<?php

namespace App\Filament\Resources\Monitoring\IssueManagements\Pages;

use App\Filament\Resources\Monitoring\IssueManagements\IssueManagementResource;
use Filament\Actions\Action;
use Filament\Resources\Pages\EditRecord;

class EditIssueManagement extends EditRecord
{
    protected static string $resource = IssueManagementResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Action::make('back')
                ->label('Kembali')
                ->url(ListIssueManagements::getUrl())
                ->outlined()
                ->color('secondary'),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
